summaryrefslogtreecommitdiff
path: root/media-libs
diff options
context:
space:
mode:
Diffstat (limited to 'media-libs')
-rw-r--r--media-libs/mesa/mesa-scm.ebuild79
1 files changed, 38 insertions, 41 deletions
diff --git a/media-libs/mesa/mesa-scm.ebuild b/media-libs/mesa/mesa-scm.ebuild
index 5534df6..4cc5741 100644
--- a/media-libs/mesa/mesa-scm.ebuild
+++ b/media-libs/mesa/mesa-scm.ebuild
@@ -1,8 +1,8 @@
-# Copyright 1999-2016 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
-EAPI=5
+EAPI=6
EGIT_REPO_URI="git://anongit.freedesktop.org/git/mesa/mesa"
@@ -13,7 +13,7 @@ EXPERIMENTAL="true"
PYTHON_COMPAT=( python2_7 )
-inherit autotools multilib-minimal python-any-r1 pax-utils ${GIT_ECLASS}
+inherit autotools llvm multilib-minimal python-any-r1 pax-utils ${GIT_ECLASS}
OPENGL_DIR="xorg-x11"
@@ -30,20 +30,19 @@ LICENSE="MIT"
SLOT="0"
KEYWORDS=""
-INTEL_CARDS="i915 i965 ilo intel"
+INTEL_CARDS="i915 i965 intel"
RADEON_CARDS="r100 r200 r300 r600 radeon radeonsi"
-VIDEO_CARDS="${INTEL_CARDS} ${RADEON_CARDS} freedreno nouveau vc4 vmware"
+VIDEO_CARDS="${INTEL_CARDS} ${RADEON_CARDS} freedreno imx nouveau vc4 vivante vmware"
for card in ${VIDEO_CARDS}; do
IUSE_VIDEO_CARDS+=" video_cards_${card}"
done
IUSE="${IUSE_VIDEO_CARDS}
- bindist +classic d3d9 debug +dri3 +egl +gallium +gbm gcrypt gles1 gles2
- libressl +llvm nettle +nptl opencl osmesa pax_kernel openmax +openssl pic
- selinux vaapi valgrind vdpau +vulkan wayland xvmc xa kernel_FreeBSD"
+ bindist +classic d3d9 debug +dri3 +egl +gallium +gbm gles1 gles2 unwind
+ +llvm +nptl opencl osmesa pax_kernel openmax pic selinux vaapi valgrind
+ vdpau vulkan wayland xvmc xa"
REQUIRED_USE="
- || ( gcrypt libressl nettle openssl )
d3d9? ( dri3 gallium )
llvm? ( gallium )
opencl? ( gallium llvm )
@@ -52,14 +51,15 @@ REQUIRED_USE="
gles2? ( egl )
vaapi? ( gallium )
vdpau? ( gallium )
- vulkan? ( || ( video_cards_i965 video_cards_radeonsi ) )
+ vulkan? ( || ( video_cards_i965 video_cards_radeonsi )
+ video_cards_radeonsi? ( llvm ) )
wayland? ( egl gbm )
xa? ( gallium )
video_cards_freedreno? ( gallium )
video_cards_intel? ( classic )
video_cards_i915? ( || ( classic gallium ) )
video_cards_i965? ( classic )
- video_cards_ilo? ( gallium )
+ video_cards_imx? ( gallium )
video_cards_nouveau? ( || ( classic gallium ) )
video_cards_radeon? ( || ( classic gallium )
gallium? ( x86? ( llvm ) amd64? ( llvm ) ) )
@@ -68,11 +68,12 @@ REQUIRED_USE="
video_cards_r300? ( gallium x86? ( llvm ) amd64? ( llvm ) )
video_cards_r600? ( gallium )
video_cards_radeonsi? ( gallium llvm )
+ video_cards_vc4? ( gallium )
+ video_cards_vivante? ( gallium gbm )
video_cards_vmware? ( gallium )
- ${PYTHON_REQUIRED_USE}
"
-LIBDRM_DEPSTRING=">=x11-libs/libdrm-2.4.72"
+LIBDRM_DEPSTRING=">=x11-libs/libdrm-2.4.77"
# keep correct libdrm and dri2proto dep
# keep blocks in rdepend for binpkg
RDEPEND="
@@ -83,6 +84,7 @@ RDEPEND="
gallium? ( app-eselect/eselect-mesa )
>=app-eselect/eselect-opengl-1.3.0
>=dev-libs/expat-2.1.0-r3:=[${MULTILIB_USEDEP}]
+ >=sys-libs/zlib-1.2.8[${MULTILIB_USEDEP}]
>=x11-libs/libX11-1.6.2:=[${MULTILIB_USEDEP}]
>=x11-libs/libxshmfence-1.1:=[${MULTILIB_USEDEP}]
>=x11-libs/libXdamage-1.1.4-r1:=[${MULTILIB_USEDEP}]
@@ -90,25 +92,24 @@ RDEPEND="
>=x11-libs/libXxf86vm-1.1.3:=[${MULTILIB_USEDEP}]
>=x11-libs/libxcb-1.9.3:=[${MULTILIB_USEDEP}]
x11-libs/libXfixes:=[${MULTILIB_USEDEP}]
- llvm? ( !kernel_FreeBSD? (
- video_cards_radeonsi? ( virtual/libelf:0=[${MULTILIB_USEDEP}] )
- !video_cards_r600? (
- video_cards_radeon? ( virtual/libelf:0=[${MULTILIB_USEDEP}] )
- ) )
- >=sys-devel/llvm-3.6.0:=[${MULTILIB_USEDEP}]
- )
- nettle? ( dev-libs/nettle:=[${MULTILIB_USEDEP}] )
- !nettle? (
- gcrypt? ( dev-libs/libgcrypt:=[${MULTILIB_USEDEP}] )
- !gcrypt? (
- libressl? ( dev-libs/libressl:=[${MULTILIB_USEDEP}] )
- !libressl? ( dev-libs/openssl:=[${MULTILIB_USEDEP}] )
+ unwind? ( sys-libs/libunwind[${MULTILIB_USEDEP}] )
+ llvm? (
+ video_cards_radeonsi? (
+ virtual/libelf:0=[${MULTILIB_USEDEP}]
+ vulkan? ( >=sys-devel/llvm-3.9.0:=[${MULTILIB_USEDEP}] )
)
+ video_cards_r600? (
+ virtual/libelf:0=[${MULTILIB_USEDEP}]
+ )
+ video_cards_radeon? (
+ virtual/libelf:0=[${MULTILIB_USEDEP}]
+ )
+ >=sys-devel/llvm-3.6.0:=[${MULTILIB_USEDEP}]
)
opencl? (
app-eselect/eselect-opencl
dev-libs/libclc
- !kernel_FreeBSD? ( virtual/libelf:0=[${MULTILIB_USEDEP}] )
+ virtual/libelf:0=[${MULTILIB_USEDEP}]
)
openmax? ( >=media-libs/libomxil-bellagio-0.9.3:=[${MULTILIB_USEDEP}] )
vaapi? (
@@ -116,9 +117,9 @@ RDEPEND="
video_cards_nouveau? ( !<=x11-libs/libva-vdpau-driver-0.7.4-r3 )
)
vdpau? ( >=x11-libs/libvdpau-1.1:=[${MULTILIB_USEDEP}] )
- wayland? ( >=dev-libs/wayland-1.2.0:=[${MULTILIB_USEDEP}] )
+ wayland? ( >=dev-libs/wayland-1.11.0:=[${MULTILIB_USEDEP}] )
xvmc? ( >=x11-libs/libXvMC-1.0.8:=[${MULTILIB_USEDEP}] )
- ${LIBDRM_DEPSTRING}[video_cards_freedreno?,video_cards_nouveau?,video_cards_vc4?,video_cards_vmware?,${MULTILIB_USEDEP}]
+ ${LIBDRM_DEPSTRING}[video_cards_freedreno?,video_cards_nouveau?,video_cards_vc4?,video_cards_vivante?,video_cards_vmware?,${MULTILIB_USEDEP}]
"
for card in ${INTEL_CARDS}; do
RDEPEND="${RDEPEND}
@@ -144,8 +145,8 @@ DEPEND="${RDEPEND}
) )
)
opencl? (
- >=sys-devel/llvm-3.4.2:=[${MULTILIB_USEDEP}]
- >=sys-devel/clang-3.4.2:=[${MULTILIB_USEDEP}]
+ >=sys-devel/llvm-3.6.0:=[${MULTILIB_USEDEP}]
+ >=sys-devel/clang-3.6.0:=[${MULTILIB_USEDEP}]
>=sys-devel/gcc-4.6
)
sys-devel/bison
@@ -227,13 +228,13 @@ multilib_src_configure() {
fi
if use egl; then
- myconf+=" --with-egl-platforms=x11$(use wayland && echo ",wayland")$(use gbm && echo ",drm")"
+ myconf+=" --with-egl-platforms=x11,surfaceless$(use wayland && echo ",wayland")$(use gbm && echo ",drm")"
fi
if use gallium; then
myconf+="
$(use_enable d3d9 nine)
- $(use_enable llvm gallium-llvm)
+ $(use_enable llvm)
$(use_enable openmax omx)
$(use_enable vaapi va)
$(use_enable vdpau)
@@ -244,9 +245,11 @@ multilib_src_configure() {
gallium_enable swrast
gallium_enable video_cards_vc4 vc4
+ gallium_enable video_cards_vivante etnaviv
gallium_enable video_cards_vmware svga
gallium_enable video_cards_nouveau nouveau
gallium_enable video_cards_i915 i915
+ gallium_enable video_cards_imx imx
if ! use video_cards_i915 && \
! use video_cards_i965; then
gallium_enable video_cards_intel i915
@@ -299,7 +302,6 @@ multilib_src_configure() {
--enable-dri \
--enable-glx \
--enable-shared-glapi \
- --disable-shader-cache \
$(use_enable !bindist texture-float) \
$(use_enable d3d9 nine) \
$(use_enable debug) \
@@ -309,12 +311,12 @@ multilib_src_configure() {
$(use_enable gles1) \
$(use_enable gles2) \
$(use_enable nptl glx-tls) \
+ $(use_enable unwind libunwind) \
--enable-valgrind=$(usex valgrind auto no) \
--enable-llvm-shared-libs \
--with-dri-drivers=${DRI_DRIVERS} \
--with-gallium-drivers=${GALLIUM_DRIVERS} \
--with-vulkan-drivers=${VULKAN_DRIVERS} \
- --with-sha1=$(usex nettle libnettle $(usex gcrypt libgcrypt libcrypto)) \
PYTHON2="${PYTHON}" \
${myconf}
}
@@ -376,7 +378,7 @@ multilib_src_install() {
}
multilib_src_install_all() {
- prune_libtool_files --all
+ find "${ED}" -name '*.la' -delete
einstalldocs
if use !bindist; then
@@ -386,11 +388,6 @@ multilib_src_install_all() {
# Install config file for eselect mesa
insinto /usr/share/mesa
newins "${FILESDIR}/eselect-mesa.conf.9.2" eselect-mesa.conf
-
- # Mesa should not install these
-# if use vulkan; then
-# rm "${ED}"/usr/include/vulkan/{vulkan.h,vk_platform.h} || die
-# fi
}
multilib_src_test() {